import { post } from "@/request/axios.js";

export const getVideoCoursewareList = (params) =>
  post("/platform/videocourseware/list", params); // 课件资源管理-视频课件列表

export const getDataCoursewareList = (params) =>
  post("/platform/datacourseware/list", params); // 课件资源管理-资料课件列表

export const joinMyVideoCourseware = (params) =>
  post("/platform/videocourseware/joinMyCourseware", params); // 课件资源管理-视频课件-添加

export const joinMyDataCourseware = (params) =>
  post("/platform/datacourseware/joinMyCourseware", params); // 课件资源管理-资料课件-添加

export const getQuestionListByCoursewareIdAndType = (params) =>
  post("/platform/question/list", params); // 课件资源管理-获取课件习题

export const getCurriculumList = (params) =>
  post("/platform/curriculum/list", params); // 课程管理-获取课程列表

export const joinMyCurriculum = (params) =>
  post("/platform/curriculum/joinMyCurriculum", params); // 课件资源管理-资料课件-添加

export const getCurriculumInfo = (params) =>
  post("/platform/curriculum/goEdit", params); // 课件资源管理-获取课程详情信息

export const getPaperList = (params) =>
  post("/platform/stageexampaperinput/list", params); // 试卷管理-获取课程列表

export const joinMyPaper = (params) =>
  post("/platform/stageexampaperinput/joinMyPaper", params); // 试卷管理-添加

export const getPaperInfo = (params) =>
  post("/platform/stageexampaperinput/goEdit", params); // 试卷管理-获取试卷详情信息
